Bio::Tools::Run::PiseApplication::newcpgreport(3)

NAME
Bio::Tools::Run::PiseApplication::newcpgreport

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::newcpgreport

      Bioperl class for:

        NEWCPGREPORT    Report CpG rich areas (EMBOSS)

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/newcpgreport.html
         for available values):

                newcpgreport (String)

                init (String)

                sequence (Sequence)
                        sequence -- DNA [sequences] (-sequence)

                window (Integer)
                        Window size (-window)

                shift (Integer)
                        Shift increment (-shift)

                minlen (Integer)
                        Minimum Length (-minlen)

                minoe (Float)
                        Minimum observed/expected (-minoe)

                minpc (Float)
                        Minimum percentage (-minpc)

                outfile (OutFile)
                        outfile (-outfile)

                obsexp (Switch)
                        Show observed/expected threshold line (-obsexp)

                cg (Switch)
                        Show CpG rich regions (-cg)

                pc (Switch)
                        Show percentage line (-pc)

                auto (String)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/newcpgreport.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $newcpgreport = Bio::Tools::Run::PiseApplication::newcpgreport->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::newcpgreport object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $newcpgreport = $factory->program('newcpgreport');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::newcpgreport.